Package org.springframework.http.codec

# Interface ClientCodecConfigurer.ClientDefaultCodecs

All Superinterfaces:
  `CodecConfigurer.DefaultCodecs`

Enclosing interface:
  ClientCodecConfigurer

public static interface ClientCodecConfigurer.ClientDefaultCodecs extends CodecConfigurer.DefaultCodecs
`CodecConfigurer.DefaultCodecs` extension with extra client-side options.

## Method Summary

Modifier and Type
Method
Description
`void`
`serverSentEventDecoder(org.springframework.core.codec.Decoder<?> decoder)`
Configure the `Decoder` to use for Server-Sent Events.

### Methods inherited from interface org.springframework.http.codec.CodecConfigurer.DefaultCodecs

`configureDefaultCodec, enableLoggingRequestDetails, jackson2JsonDecoder, jackson2JsonEncoder, jackson2SmileDecoder, jackson2SmileEncoder, jaxb2Decoder, jaxb2Encoder, kotlinSerializationCborDecoder, kotlinSerializationCborEncoder, kotlinSerializationJsonDecoder, kotlinSerializationJsonEncoder, kotlinSerializationProtobufDecoder, kotlinSerializationProtobufEncoder, maxInMemorySize, multipartCodecs, multipartReader, protobufDecoder, protobufEncoder`

## Method Details

### serverSentEventDecoder

void serverSentEventDecoder(org.springframework.core.codec.Decoder<?> decoder)
Configure the `Decoder` to use for Server-Sent Events.

By default if this is not set, and Jackson is available, the `CodecConfigurer.DefaultCodecs.jackson2JsonDecoder(org.springframework.core.codec.Decoder<?>)` override is used instead. Use this method to customize the SSE decoder.

Note that `CodecConfigurer.DefaultCodecs.maxInMemorySize(int)`, if configured, will be applied to the given decoder.

Parameters:
  `decoder` - the decoder to use